$(document).ready(function ($) {
    var pad = function(num) {
        var s = num+"";
        while (s.length < 2) s = "0" + s;
        return s;
    };
    var getInlineIndex = function(selector){
        var lastInlineIndex = 0;
        $(selector).each(function(index){
            var input_value = $(this).val();
            if (input_value) {
                var ref = input_value.split(/[/ ]+/).pop(),
                    input_value_index = parseInt(ref.slice(6,8));
                if (input_value_index > lastInlineIndex) {
                    lastInlineIndex = input_value_index;
                }
            }
        });
        lastInlineIndex += 1;
        return lastInlineIndex
    };
    $('div#photos-group').find('tr.add-row').find('a').click(function(e){
        var selector = 'input[id^=id_photos-][id$=-photo]',
            car_model = window.location.href.split("/")[6],
            newIndex = $(selector).length-2;
            lastPhotoIndex = getInlineIndex(selector),
            url = "http://rcs.cdn.publieditor.it/w640/M"+car_model+"_"+pad(lastPhotoIndex)+".jpg";
        $($(selector)[newIndex]).val(url);
    })
    $('div#videos-group').find('tr.add-row').find('a').click(function(e){
        var selector = 'input[id^=id_videos-][id$=-video]',
            car_model = window.location.href.split("/")[6],
            newIndex = $(selector).length-2;
            lastPhotoIndex = getInlineIndex(selector),
            url = "http://rcs.cdn.publieditor.it/mv/M"+car_model+"_"+pad(lastPhotoIndex)+".mp4";
        $($(selector)[newIndex]).val(url);
    })
});